<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="editUser"
                header="Editar Usuario"
                widgetVar="EditarUsuario"
                modal="true"
                resizable="false"
                closable="true"
                width="700" >
                <h:panelGroup id="detalleEditar">
                    <br/><br/>
                    <h:form id="edit">
                        <h:panelGrid columns="3" >
                            <p:column>
                                <p:inputText value="#{usuarioMB.usuarioSeleccionado.id}" id="id" type="hidden" />
                            </p:column>
                            <p:column> 
                            </p:column>
                            <p:column> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="id2" value="Id : " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="id2" value="#{usuarioMB.usuarioSeleccionado.id}" readonly="true" style="width: 350px" required="true" requiredMessage="El campo cajas es requerido"/>
                            </p:column>
                            <p:column> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="nombre" value="Nombre: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="nombre" value="#{usuarioMB.usuarioSeleccionado.nombre}" style="width: 350px" required="true" requiredMessage="El campo nombre es requerido"/>
                            </p:column>
                            <p:column> 
                            </p:column> 
                            
                            <p:column>
                                <h:outputLabel for="apellidos" value="Apellidos: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="apellidos" value="#{usuarioMB.usuarioSeleccionado.apellidos}" style="width: 350px" required="true" requiredMessage="El campo apellidos es requerido"/>
                            </p:column>
                            <p:column> 
                            </p:column> 
                            
                            <p:column>
                                <h:outputLabel for="login" value="Login: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="login" value="#{usuarioMB.usuarioSeleccionado.login}" style="width: 350px" required="true" requiredMessage="El campo login es requerido"/>
                            </p:column> 
                            <p:column> 
                            </p:column> 
                            
                            
                            <p:column>
                                <p:outputLabel for="perfil" value="Perfil: " style="font-weight: bold" />
                            </p:column>
                            <p:column>
                                <p:selectOneMenu id="perfil"  value="#{usuarioMB.usuarioSeleccionado.perfil}"  style="width: 150px"
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 required="true" requiredMessage="La clave es requerida">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{usuarioMB.perfiles}"
                                    var="registrop"
                                    itemLabel="#{registrop.nombre}"
                                    itemValue="#{registrop.id}"/>
                                </p:selectOneMenu>
                            </p:column> 
                            <p:column> 
                            </p:column> 
                            
                            <p:column>
                                <p:outputLabel for="activo" value="Activo: " style="font-weight: bold" />
                            </p:column>
                            <p:column>
                                <p:selectOneMenu id="activo"  value="#{usuarioMB.usuarioSeleccionado.activo}" 
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 required="true" requiredMessage="La clave es requerida">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{usuarioMB.activos}"
                                    var="registroa"
                                    itemLabel="#{registroa.nombre}"
                                    itemValue="#{registroa.id}"/>
                                </p:selectOneMenu>
                            </p:column>
                            <p:column> 
                            </p:column> 
                            
                            
                            <p:column >
                                <div style="text-align: center;">
                                    <p:commandButton 
                                        value="Modificar" 
                                        style="font-size:  100%" 
                                         icon="ui-icon-scissors"
                                        action="#{usuarioMB.editarUsuario(usuarioMB.usuarioSeleccionado.id,usuarioMB.usuarioSeleccionado)}">                        
                                    </p:commandButton>
                                </div>
                            </p:column>
                             <p:column>
                                <div style="text-align: center;"> 
                                    <h:outputLink value="javascript:void(0)" onclick="PF('EditarUsuario').hide();PF('dlg').show();" title="login">
                                        Modificar Password
                                    </h:outputLink>
                                </div>
                            </p:column>
                            <p:column>
                                <div style="text-align: center;">
                                    <p:commandButton
                                        value="Cerrar"
                                        type="button"
                                         icon="ui-icon-scissors"
                                        style="font-size:  100%" 
                                        onclick="PF('EditarUsuario').hide();">
                                    </p:commandButton>
                                </div>
                            </p:column>
                           
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
            <p:dialog header="Login" widgetVar="dlg" resizable="false">
                <h:form id="edit2">
                    <h:panelGrid columns="2" cellpadding="5">
                        
                        <h:outputLabel for="id2" value="Id: " style="font-weight: bold"/>
                        <p:inputText id="id" value="#{usuarioMB.reset_id}" style="width: 150px"  required="true" requiredMessage="El campo nombre es requerido"/>

                        <h:outputLabel for="reset_password1" value="Password:" />
                        <p:inputText id="reset_password1" value="#{usuarioMB.reset_password1}" required="true" label="reset_password1" />

                        <h:outputLabel for="reset_password2" value="Password:" />
                        <p:password id="reset_password2" value="#{usuarioMB.reset_password2}" required="true" label="reset_password2" />

                        <f:facet name="footer">
                            <p:commandButton value="Login" actionListener="#{usuarioMB.reset(usuarioMB.reset_password1,usuarioMB.reset_password2)}"  />
                        </f:facet>  
                    </h:panelGrid>
                </h:form>
            </p:dialog>
        </ui:component>
    </body>
</html>
